%define _requires_exceptions pear(PHPUnit/Framework.php)
%define upstream_name Payment_DTA
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.4.2
Release:     	%mkrel 3
Summary:    	Creates and reads DTA and DTAZV files containing money transaction data (Germany)
License: 	BSD style
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Payment_DTA-%{version}.tgz
URL: 		http://pear.php.net/package/Payment_DTA
BuildRequires:	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Payment_DTA provides functions to create and read DTA and DTAZV files used
in Germany to exchange informations about money transactions with banks or
online banking programs.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Payment_DTA.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Payment_DTA.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Payment_DTA
fi

%files
%defattr(-,root,root)
%doc docs/Payment_DTA/*
%{peardir}/*
%{xmldir}/Payment_DTA.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.2-3.mga3
+ Revision: 377220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 spuhler <spuhler> 1.4.2-2.mga2
+ Revision: 201709
+ rebuild (emptylog)

* Sun Jan 22 2012 spuhler <spuhler> 1.4.2-1.mga2
+ Revision: 199875
+ rebuild (emptylog)

* Sat Feb 05 2011 spuhler <spuhler> 1.4.0-1.mga1
+ Revision: 47542
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Payment_DTA

